'''
Return the pre-configured Data Supply related to a Data Acquisition Unit representing an ORS.
If the Data Acquisition Unit does not have a reference or the Data Supply does not exist, return None.

The related Data Supply must have the same reference as the Data Acquisition Unit.
'''

if not context.getReference():
  return None
reference = context.getReference()

return context.portal_catalog.getResultValue(
  portal_type='Data Supply',
  reference=reference,
  validation_state='validated'
)
